var g_kVolumeTimeout = 3000;
var g_kTimerFrequency = 1000;
var g_currentVolumeStatusVal = 0;
var g_SetPlayPauseFocus = false;

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// OnTimer
//

function OnTimer()
{
    if(VolumeSlider.visible)  
    {
        CheckVolumeVisibility();
    }
    else
    {
        view.timerInterval = 0;
    }
}

function CheckVolumeVisibility()
{
    g_currentVolumeStatusVal = g_currentVolumeStatusVal + g_kTimerFrequency;
    if(g_currentVolumeStatusVal > g_kVolumeTimeout)
    {
        SetVolumeVisible(false);
    }
}

function SetVolumeVisible(bShow)
{
    if (bShow)
    {
        VolumeSlider.visible=true;
        view.focusObjectID="VolumeSliderControl";
        g_currentVolumeStatusVal = 0;
        view.timerInterval = 0;
        view.timerInterval = g_kTimerFrequency;
    }
    else
    {
        g_currentVolumeStatusVal = 0;
        view.timerInterval = 0;
        if (view.focusObjectID=="VolumeSliderControl")
        {
            view.focusObjectID="ShowVolumeButton";
        }
        VolumeSlider.visible=false;   
    }
}

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// vwPlayer_OnLoad
//
function vwPlayer_OnLoad()
{
    vwPlayer_OnPlayStateChange(player.playState);
}


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// vwPlayer_OnOpenStateChange
//
function vwPlayer_OnOpenStateChange(NewState)
{
    if (player.openState == 13)
    {
        Deskband.OnMediaChange();
    }
}


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// vwPlayer_OnPlayStateChange
//
function vwPlayer_OnPlayStateChange(NewState)
{
    if (player.playState == 3)
    {
        btnPause.visible = true;
    }
    else
    {
        btnPause.visible = false;
    }
}
