//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
//
// vwPlayer
//
//
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// vwPlayer_UpdateMetadata
//
function vwPlayer_UpdateMetadata()
{
    var sz1;
    var sz2;
    var sz3;

    if (player.openState == 13)
    {
        //
        // Figure out the text for the top line:
        //
        sz1 = player.currentMedia.name;
        if (sz1 == "")
        {
            sz1 = player.currentMedia.getItemInfo('Title');
        }
        if (sz1 == "")
        {
            sz1 = player.currentMedia.sourceURL;
        }

        //
        // Figure out the text for the middle line:
        //
        sz2 = player.currentMedia.getItemInfo('Author');
        if (sz2 == "")
        {
            sz2 = player.currentMedia.getItemInfo('Copyright');
        }

        //
        // Figure out the text for the last line:
        //
        sz3 = player.currentMedia.getItemInfo('Album');
        if (sz3 == "")
        {
            sz3 = player.currentMedia.getItemInfo('Band');
        }
        if (sz3 == "")
        {
            var kbps = new Number(player.currentMedia.getItemInfo('Bitrate') / 1000);
            sz3 = kbps.toFixed(1) + "kbps";
        }
    }

    txt1.value = sz1;
    txt2.value = sz2;
    txt3.value = sz3;
}


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// vwPlayer_OnLoad
//
function vwPlayer_OnLoad()
{
    vwPlayer_UpdateMetadata();
}


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// vwPlayer_OnOpenStateChange
//
function vwPlayer_OnOpenStateChange(NewState)
{
    vwPlayer_UpdateMetadata();
}