// Windows Media Player - Copyright 2000 Microsoft Corporation.
//<script>

var g_kSplineTensionMedium = 3;
var g_kSplineTensionTight  = 9;

var g_kLightAlpha = 255;
var g_kDarkAlpha  = 128;
var g_kFadeUpTime   = 1;
var g_kFadeDownTime = 500;

//
// Presistence
//

function InitPersistedSettings()
{
	var st = theme.loadPreference('splineTension');
	if (st=='--') 
	{
		eq.enableSplineTension=true;
		eq.splineTension=g_kSplineTensionMedium;
	}
	
	else
	{
		if (st=="disabled")
		{
			eq.enableSplineTension=false;
		}
		else
		{
			eq.enableSplineTension=true;
			eq.splineTension=parseInt(st);
		}
	}
	
	stDisable.down	= !eq.enableSplineTension;	  
	stMedium.down	= (eq.enableSplineTension) && (eq.splineTension == g_kSplineTensionMedium);
	stTight.down	= (eq.enableSplineTension) && (eq.splineTension == g_kSplineTensionTight);
}

function PersistSettings()
{
	if (eq.enableSplineTension)
	{
		theme.savePreference('splineTension',eq.splineTension);
	}
	else
	{
		theme.savePreference('splineTension','disabled');
	}
}

//
// Initialization
//

function InitEQ()
{
	if (PlayingDVD())
	{
		nextPreset.enabled=false;
	}
	else
	{
		UpdateEQOnOff();
	}
}

//
// Updating
//

function UpdateEQOnOff()
{
	if (eq.bypass)
	{
	    eqOnOff.value="res://wmploc.dll/RT_STRING/#1832";
	    nextPreset.enabled=false;
	    SetDisabledUI(true);
	}
	else
	{
		eqOnOff.value="res://wmploc.dll/RT_STRING/#1833";
	    nextPreset.enabled=true;
	    SetDisabledUI(false);
	}
}

function UpdateSplineTensionButtons()
{
	with (eq)
	{	 
		stDisable.down = !enableSplineTension;

		if (!enableSplineTension)
		{
			stMedium.down=false; 
			stTight.down=false;
		}
	
		else
		{
			stMedium.down = (splineTension==g_kSplineTensionMedium); 
			stTight.down  = (splineTension==g_kSplineTensionTight);
		}
	} 
}	 

function DoShiftSensitiveEQ(level,newVal)
{
	if (eq.enableSplineTension && event.shiftKey) 
	{
		eq.enableSplineTension=false; 
		eq.gainLevels(level) = newVal; 
		eq.enableSplineTension=true;
	}
}

function EQSelectMenu()
{
	var index = 0;
	var max = eq.presetCount;

	mnuEQSelect.deleteAllItems();

	for (index=0; index<max; index++)
	{
		mnuEQSelect.appendItem( index + 1, eq.presetTitle(index) );
	}

	mnuEQSelect.checkRadioItem( eq.currentPreset + 1, true );

	index = mnuEQSelect.show();

	eq.currentPreset = index - 1;
}

function ResetEQ()
{
    eq.currentPreset=0;
    player.settings.balance=0;
}

function ToggleEQ()
{
    eq.bypass=!eq.bypass;
}