// Windows Media Player - Copyright 2000 Microsoft Corporation.
//<script>

function OnLoad()
{
    UpdateFullScreenAvailability();

// registry controlled skunk works, Blend Album Art feature
    var baa = theme.loadPreference("BlendAlbumArt");
    if(baa == "true")
    {
        myeffect.windowed = "false";
        btnCoverArt.visible = "true";
    }
    else
    {
        myeffect.windowed = "true";
        btnCoverArt.visible = "false";
    }
// end - skunk works
}

function OnShowTitles()
{        
    UpdateTitles();
    myeffect.top = mediacenter.showTitles? 45 : 4;
    myeffect.height = VizDisplay.height - myeffect.top - myeffect.left;
}

function UpdateTitles()
{
    if (!player.currentMedia) return;
    trackname.visible = mediacenter.showTitles;
    playlistArtist.value = player.currentMedia.getItemInfo('artist');
    trackname.value = player.currentMedia.name;
    
    // skunk works, Blend Album Art feature
    UpdateAlbumArt("WMPImage_AlbumArtLarge");
}

// skunk works, Blend Album Art feature
function UpdateAlbumArt(bstrItemName)
{
    if(btnCoverArt.visible && 
        (bstrItemName == "WMPImage_AlbumArtSmall" || bstrItemName == "WMPImage_AlbumArtLarge"))
    {
        btnCoverArt.alphaBlend = "0";
        btnCoverArt.image = "WMPImage_AlbumArtLarge";
        btnCoverArt.alphaBlendTo(0xA0, 6000);
    }
}
// end skunk works

function UpdateFullScreenAvailability()
{
	mediacenter.fullScreenAvailable=myeffect.effectCanGoFullscreen;
}

function SynchViz()
{
    var nPreset = myeffect.currentPreset;
    mediacenter.effectType = myeffect.currentEffectType;
    mediacenter.effectPreset = nPreset;
    SynchEffectColor();
}


function SynchEffectColor()
{
    var color = mediacenter.itemPlayingColor;
    try
    {
        myeffect.currentEffect.foregroundColor = color;
    }
    catch(err){}
    
    try
    {
        myeffect.currentEffect.levelColor = color;
    }
    catch(err){}
}
