// Windows Media Player - Copyright 2000 Microsoft Corporation.
//<script>

var g_Zoom50 = theme.loadString("res://wmploc.dll/RT_STRING/#1134");
var g_Zoom100 = theme.loadString("res://wmploc.dll/RT_STRING/#1135");
var g_Zoom200 = theme.loadString("res://wmploc.dll/RT_STRING/#1136");
var g_ZoomStretch = theme.loadString("res://wmploc.dll/RT_STRING/#1133");
var g_ZoomSizePlayer = theme.loadString("res://wmploc.dll/RT_STRING/#1138");

var ID_ZOOM_STRETCH = 9999;
var ID_ZOOM_SIZEPLAYER = 9998;

//
// Initialization
//

function InitVideoSettingsView()
{
	if ( PlayingDVD() )
	{
        SetDisabledUI(true);
	}
	else
	{
        SetDisabledUI(false);
	}
}

function SetDisabledUI(disabled)
{

}
		 
//
// Utility
//

function ResetVideoSettings()
{
	vs.brightness=0;
	vs.contrast=0;
	vs.hue=0;
	vs.saturation=0;
}

function ZoomMenu()
{
	var selectedID = 0;

	mnuZoom.deleteAllItems();

	mnuZoom.appendItem( ID_ZOOM_STRETCH, g_ZoomStretch);
	mnuZoom.appendItem( ID_ZOOM_SIZEPLAYER, g_ZoomSizePlayer);
	mnuZoom.appendSeparator();
	mnuZoom.appendItem( 50, g_Zoom50);
	mnuZoom.appendItem( 100, g_Zoom100);
	mnuZoom.appendItem( 200, g_Zoom200);

	if (mediacenter.videoStretchToFit)
	{
		mnuZoom.checkItem( ID_ZOOM_STRETCH, true );
	}
	if (mediacenter.snapToVideo)
	{
	    mnuZoom.checkItem( ID_ZOOM_SIZEPLAYER, true );
	}
	switch (mediacenter.videoZoom)
	{
		case 50:
		case 100:
		case 200:
			mnuZoom.checkRadioItem( mediacenter.videoZoom, true );
			break;
		default:
			break;
	}	 

	selectedID = mnuZoom.show();

    switch (selectedID)
    {
	    case ID_ZOOM_STRETCH:
    		mediacenter.videoStretchToFit = !mediacenter.videoStretchToFit;
    		break;
    	case ID_ZOOM_SIZEPLAYER:
    	    mediacenter.snapToVideo = !mediacenter.snapToVideo;
    	    break;
		case 50:
		case 100:
		case 200:
            mediacenter.videoZoom = selectedID;
			break;
		default:
			break;
    }
}


